Bug 741429 - gthumb crashes because of bug in exiv2 0.21.1
Summary: gthumb crashes because of bug in exiv2 0.21.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exiv2
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 19:46 UTC by Ulrich Schweitzer
Modified: 2018-04-11 10:05 UTC (History)
4 users (show)

Fixed In Version: exiv2-0.21.1-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-05 17:33:24 UTC


Attachments (Terms of Use)

Description Ulrich Schweitzer 2011-09-26 19:46:27 UTC
Description of problem:
There is a bug in exiv2 0.21.1 that can cause it and the application using it (in my case gthumb) to crash. See http://dev.exiv2.org/issues/769 for details. According to this site, the bug has been fixed in version 0.22.

Version-Release number of selected component (if applicable):
0.21.1-1

If at all possible, please release an updated package for F15. Thanks.

Comment 1 Rex Dieter 2011-09-26 20:09:23 UTC
exiv2-0.22 is api/abi incompatible with 0.21.1, but I could see of the fix can be backported.

Comment 3 Rex Dieter 2011-09-26 20:30:18 UTC
mind testing this out?

http://koji.fedoraproject.org/koji/taskinfo?taskID=3379664

Comment 4 Fedora Update System 2011-09-27 14:04:53 UTC
exiv2-0.21.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/exiv2-0.21.1-3.fc14

Comment 5 Fedora Update System 2011-09-27 14:05:47 UTC
exiv2-0.21.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/exiv2-0.21.1-3.fc15

Comment 6 Fedora Update System 2011-09-27 14:06:40 UTC
exiv2-0.21.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/exiv2-0.21.1-3.fc16

Comment 7 Fedora Update System 2011-09-27 17:32:29 UTC
Package exiv2-0.21.1-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exiv2-0.21.1-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/exiv2-0.21.1-3.fc16
then log in and leave karma (feedback).

Comment 8 Ulrich Schweitzer 2011-09-27 18:10:58 UTC
I have tested exiv2-0.21.1-3.fc15 from Comment 5 and it works perfectly. Thank you very much for your ultra-fast help on this!

Comment 9 Fedora Update System 2011-10-05 17:33:15 UTC
exiv2-0.21.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-05 23:59:33 UTC
exiv2-0.21.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-10-06 00:03:39 UTC
exiv2-0.21.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.